import owlift
import cv2

ows = owlift.devices()
ow = ows[0]
wx, wy = ow.frame_size

ow.gain_control = owlift.OwGainControl.MANUAL
ow.manual_gain_range = (10 + 273.15, 30 + 273.15)

winName = 'Thermography'
cv2.namedWindow(winName, cv2.WINDOW_NORMAL)
cv2.resizeWindow(winName, wx * 4, wy * 4)

fc0 = 0
ow.capture_start()

while ow.alive:
    fc = ow.frame_counter
    if fc == fc0:
        c = cv2.waitKey(10)
        if c == 27:
            break
        continue

    fc0 = fc
    temp, img, meta = ow.frame

    cv2.imshow(winName, img)
