import owlift
import cv2
import time
import sys

ow = owlift.raw_play_start("raw.owi")
wx, wy = ow.frame_size

winName = 'Thermography'
cv2.namedWindow(winName, cv2.WINDOW_NORMAL)
cv2.resizeWindow(winName, wx * 4, wy * 4)

t0 = time.time()

while ow.alive:
    temp, img, meta = ow.frame
    tofs = meta.file_time_offset / 1000

    cv2.imshow(winName, img)

    print("{o:8.2f}, {d.year}/{d.month:02d}/{d.day:02d} " \
            "{d.hour:02d}:{d.minute:02d}:{d.second:02d}.{m:03d}" \
        .format(o = tofs, d = meta.file_datetime, \
        m = int(meta.file_datetime.microsecond / 1000)))

    while True:
        t1 = time.time()
        if t1 - t0 >= tofs:
            break
        c = cv2.waitKey(1)
        if c == 27:
            sys.exit(0)

