import owlift
import cv2
import time

ows = owlift.devices()
ow = ows[0]
wx, wy = ow.frame_size

fc0 = 0
ow.capture_start()

interval_nomi = 3
interval_denomi = 1
interval_sec = interval_nomi / interval_denomi
ow.raw_record_start("raw.owi", interval_nomi, interval_denomi)

winName = 'Thermography'
cv2.namedWindow(winName, cv2.WINDOW_NORMAL)
cv2.resizeWindow(winName, wx * 4, wy * 4)

t0 = time.time()
tn = 0

while ow.alive:
    fc = ow.frame_counter
    if fc == fc0:
        c = cv2.waitKey(10)
        if c == 27:
            break
        continue

    fc0 = fc
    t1 = time.time()
    if t1 - t0 < tn:
        continue

    tn += interval_sec

    temp, img, meta = ow.frame
    ow.raw_record_add()

    cv2.imshow(winName, img)

