import owlift
import time
import numpy

# Emissivity
ems = 0.95
ems_r4 = 1 / pow(ems, 0.25)

ows = owlift.devices()
ow = ows[0]
wx, wy = ow.frame_size

fc0 = 0
ow.capture_start()

while ow.alive:
    fc = ow.frame_counter
    if fc == fc0:
        time.sleep(0.05)
        continue

    fc0 = fc
    temp, img, meta = ow.frame

    t_cnt = temp[int(wy / 2), int(wx / 2)] * ems_r4 - 273.15
    t_max = numpy.amax(temp) * ems_r4 - 273.15
    t_min = numpy.amin(temp) * ems_r4 - 273.15
    t_avg = numpy.average(temp) * ems_r4 - 273.15

    print("CENTER:{0:5.1f} MAX:{1:5.1f} MIN:{2:5.1f} AVERAGE:{3:5.1f}"
            .format(t_cnt, t_max, t_min, t_avg))

